Issue 109553 - Adapt selection of one row to used data area for filters
Adapt selection of one row to used data area for filters
Status: VERIFIED FIXED
Product: Calc
Classification: Application
Component: ui
recent-trunk
All All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@sc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 20:57 UTC by ooo
Modified: 2013-08-07 15:14 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ooo 2010-02-23 20:57:41 UTC
Users may select/mark an entire row by clicking on a row header and expect a
filter (AutoFilter, StandardFilter, SpecialFilter) to operate on the data below
the selected row. Instead, the filter is spread across the entire sheet and
attempts to operate on the selected row only and thus is useless.

Change the behavior such that if one row is selected the selection is shrunk to
the actually used data columns and then expanded over all contiguous data rows
below. Selecting only a portion of a row shall behave similar by expanding the
selected columns over the data rows below.
Comment 1 ooo 2010-02-23 20:58:37 UTC
Grabbing issue.
Comment 2 ooo 2010-02-23 21:01:25 UTC
Working on this.
Comment 3 ooo 2010-02-24 15:05:32 UTC
In cws calcfilterrange:

changeset 7ba13f4a900e
http://hg.services.openoffice.org/cws/calcfilterrange/changeset/7ba13f4a900e
M sc/inc/document.hxx
M sc/inc/global.hxx
M sc/inc/table.hxx
M sc/source/core/data/document.cxx
M sc/source/core/data/table1.cxx
M sc/source/core/tool/interpr4.cxx
M sc/source/ui/docshell/dbdocfun.cxx
M sc/source/ui/docshell/dbdocimp.cxx
M sc/source/ui/docshell/docsh4.cxx
M sc/source/ui/docshell/docsh5.cxx
M sc/source/ui/inc/dbfunc.hxx
M sc/source/ui/inc/docsh.hxx
M sc/source/ui/unoobj/cellsuno.cxx
M sc/source/ui/unoobj/cursuno.cxx
M sc/source/ui/view/cellsh2.cxx
M sc/source/ui/view/dbfunc.cxx
M sc/source/ui/view/tabview3.cxx
M sc/source/ui/view/tabvwshc.cxx
M sc/source/ui/view/viewfun5.cxx

You can observe the progress and possible integration date of CWS calcfilterrange at
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fcalcfilterrange
Comment 4 ooo 2010-02-24 17:34:09 UTC
Reassigning to QA for verification.
Comment 5 oc 2010-04-01 14:54:19 UTC
verified in internal build cws_calcfilterrange

TCS available:
http://quaste.services.openoffice.org/index.php?option=com_tcs&task=tcs_show&tcsid=2891